## NAME

s.delaunay - Module to create a vector delaunay triangulation from a sites file.

## SYNOPSIS

s.delaunay [-aql] sites=name vect=name

## DESCRIPTION

s.delaunay uses an existing sites list (sitesname) to do Delaunay triangulation, putting the results in a binary vector file (vectname).

### Flag:

-a
  Use all sites (do not limit to current region)
-q
  Quiet
-l
  Output triangulation as a graph, not areas

### Parameters:

sites
  Sites file to process
vect
  Vector map layer to contain delaunay triangulation.

s.delaunay can be run either non-interactively or interactively. The program will be run non-interactively if the user specifies the name of an existing site list file and a name for a vect file, using the form

                  s.delaunay [-aql] sitesname vectname

where sitesname is the name of an existing site list file and vectname is the name of vector output file. Alternately, the user can simply type s.delaunay on the command line, without program arguments. In this case, the user will be prompted for parameter values using the standard GRASS parser interface described in the manual entry for parser. In either case, v.support should be run on the output.

## REFERENCE

Steve J. Fortune, (1987). A Sweepline Algorithm for Voronoi Diagrams, Algorithmica 2, 153-174.

## SEE ALSO

v.autocorr, v.spag, v.support, s.hull, s.voronoi, s.sweep

## AUTHOR

James Darrell McCauley,
GRASS 5 update, improvements: Andrea Aime, Modena, Italy

Last changed: $Date: 2002/01/25 05:45:35 $